mbedtls_entropy_source_state Struct Reference

Entropy source state. More...

`#include <entropy.h>`

## Data Fields

mbedtls_entropy_f_source_ptr | f_source
| The entropy source callback. More...
void * | p_source
| The callback data pointer. More...
size_t | size
| Amount received in bytes. More...
size_t | threshold
| Minimum bytes required before release. More...
int | strong
| Is the source strong? More...

## Detailed Description

Entropy source state.

Definition at line 109 of file entropy.h.

## Field Documentation

mbedtls_entropy_f_source_ptr mbedtls_entropy_source_state::f_source

The entropy source callback.

Definition at line 111 of file entropy.h.

void* mbedtls_entropy_source_state::p_source

The callback data pointer.

Definition at line 112 of file entropy.h.

size_t mbedtls_entropy_source_state::size

Amount received in bytes.

Definition at line 113 of file entropy.h.

int mbedtls_entropy_source_state::strong

Is the source strong?

Definition at line 115 of file entropy.h.

size_t mbedtls_entropy_source_state::threshold

Minimum bytes required before release.

Definition at line 114 of file entropy.h.

The documentation for this struct was generated from the following file:

- entropy.h